com.jscape.inet.mft.management.descriptors

## Class EventServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.EventServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class EventServiceDescriptor
      extends ServiceDescriptor

  Event service descriptor. The service described by this descriptor takes responsibility for system event processing/workflow.
  Author:
    Alex
  See Also:
    Source code, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `EventServiceDescriptor(EventServiceDescriptor that)` Copy constructor.
    `EventServiceDescriptor(Trigger[] triggers)` Creates a new descriptor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `Trigger[]` | `getTriggers()` Returns service triggers.
    `void` | `setTriggers(Trigger[] value)` Sets serice triggers.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventServiceDescriptor

          public EventServiceDescriptor(Trigger[] triggers)

      Creates a new descriptor instance.
      Parameters:
        `triggers` - triggers

    - #### EventServiceDescriptor

          public EventServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

    - #### EventServiceDescriptor

          public EventServiceDescriptor(EventServiceDescriptor that)

      Copy constructor.
      Parameters:
        `that` - an instance to copy

  - ### Method Detail

    - #### getTriggers

          public Trigger[] getTriggers()

      Returns service triggers.
      Returns:
        service triggers

    - #### setTriggers

          public void setTriggers(Trigger[] value)

      Sets serice triggers.
      Parameters:
        `value` - the service triggers

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2018. All Rights Reserved